ベストセラー人気 WordPress テーマTop 30 詳細

WordPress Beaver Builderプラグインと Gutenberg 互換性

Last Updated:2020年11月14日| コメントを残す

WordPress Beaver Builderページビルダー

WordPressで多く使用されているページビルダーで 視覚的な作曲家があります。 しかし、 Visual Composerは専門家の間であまり良い評価を受けていないです。 まともな評価を受けているページビルダーで ビーバービルダーがあります。

Beaver Builderは、無料版も提供していますので、ダウンロードして試してみることができます。 有料版を利用すれば、プレミアムモジュールとテンプレートを使用することができます。

プラグイン開発者にBeaver Builderが Gutenbergとの互換性を問い合わせてみる Gutenberg と WordPress 5.0との互換性になるという回答をいただきました。

Beaver Builder is compatible with WordPress 5.0 and Gutenberg。

Beaver Builderドキュメントを確認してみるBeaver Builderプラグインのバージョン2.1以降が Gutenbergとの互換性とね。 しかし、 Gutenbergがまだ安定化段階ではなく、リリースが出るたびに変更されているので、今後の互換性の問題が発生する可能性があります。 そのような場合、プラグイン開発者が互換性の問題を解決するために、プラグインを更新します。

WordPress 5からBeaver Builderと Gutenberg コンテンツの間の変換が可能です。

  1. 標準エディタ(Gutenberg)コンテンツをBeaver Builderに変換
  2. Classic Editor(クラシックエディタ)コンテンツをBeaver Builderに変換
  3. Beaver Builderコンテンツを標準エディタ(Gutenberg)に変換
  4. Beaver BuilderコンテンツをClassic Editor(クラシックエディタ)に変換

例:Beaverビルダーコンテンツを Gutenberg ブロックに変換する

WordPress ビーバービルダー

예: Gutenberg コンテンツをBeaver Builderに変換する

WordPress ビーバービルダー

Beaver Builderが Gutenbergに積極的に対応し、一歩先を行くようです。

前述べたように Gutenbergは WordPress 5.0に統合されて出てきた、まだ安定化がされていません。 アップデートがされ Gutenbergが変更され、互換性の問題が発生する可能性があります。 12月には、多くの国で連休期間であるため、来年1月になると WordPress バグが修正されたパッチが出てくる予定だそうです。 新しいパッチが出てくる Gutenberg バグがどの程度取れないだろうかと思われます。

私はすべてのサイトを WordPress 5に更新して、しばらく Gutenberg 代わりに、古典エディタをデフォルトのエディタとして設定して使用しています。 WordPress 5にアップデートした後に問題が発生した場合、1) Gutenbergを無効にするか、2) WordPressを以前のバージョンにダウングレードすることができます。

Divi Builderページビルダーを使用している Diviテーマは WordPress 5.0がリリースされた後、1〜2日ごとにマイナーアップデートされていますね。 Diviテーマはバグが発見されるとすぐ修正して新しい更新を出しているようです。

メモ:


コメントを残す

コメント

WordPress Naver カフェを訪れる

ありがとうございます!